Bug 427861 - Sometimes desktop loses its settings (wallpaper, widgets, icons settings) after re-login
Summary: Sometimes desktop loses its settings (wallpaper, widgets, icons settings) aft...
Status: CONFIRMED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Desktop Containment (show other bugs)
Version: master
Platform: Other Linux
: VHI normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
: 400036 409158 421264 421498 421608 421894 423421 428463 444947 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-10-17 11:55 UTC by Patrick Silva
Modified: 2022-10-03 21:33 UTC (History)
78 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot before the problem (897.49 KB, image/png)
2020-10-17 11:55 UTC, Patrick Silva
Details
screenshot after the problem (824.62 KB, image/png)
2020-10-17 11:56 UTC, Patrick Silva
Details
Desktop when the problem occurs (1.91 MB, image/png)
2020-11-05 15:51 UTC, wutr
Details
Desktop how it should be, and after restarting plasmashell (3.31 MB, image/png)
2020-11-05 15:52 UTC, wutr
Details
Screenshot with panels intact but changed wallpaper. (363.68 KB, image/jpeg)
2021-01-20 10:55 UTC, wutr
Details
KDE Plasma second Desktop-wallpaper stays black & no menu. kde-black screen.jpg (841.86 KB, image/jpeg)
2021-10-25 17:49 UTC, pappl
Details
journalctl output from when the issue occured (174.26 KB, text/plain)
2022-08-31 23:57 UTC, lucasrizzini
Details
plasmashell-warnings (77.51 KB, text/x-log)
2022-09-05 15:33 UTC, Gurenko Alex
Details
journalctl output from when the issue occured *again* (175.84 KB, text/plain)
2022-09-05 18:17 UTC, lucasrizzini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-10-17 11:55:49 UTC
Created attachment 132465 [details]
screenshot before the problem

SUMMARY
This bug occurs randomly with systemd and normal startups.
http://blog.davidedmundson.co.uk/blog/plasma-and-the-systemd-startup/
Both neon unstable and Arch Linux are affected.

STEPS TO REPRODUCE
1. login to Wayland session (I do not remember if X11 session is also affected or not)
2. logout
3. re-login immediately
4. if the desktop settings were not lost, repeat the steps 2 and 3. At some point desktop settings will be lost.

OBSERVED RESULT
compare the attached screenshots showing my desktop before and after the problem

EXPECTED RESULT
keep desktop settings after re-login

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.76.0
Qt Version: 5.15.0
Comment 1 Patrick Silva 2020-10-17 11:56:27 UTC
Created attachment 132466 [details]
screenshot after the problem
Comment 2 Nate Graham 2020-10-21 04:40:05 UTC
Wow that is super terrible!

I can't reproduce this myself but I've seen at least two other users complaining about this in 5.20, so I'm marking it as CONFIRMED.

It would be super amazing if you could figure out what condition causes it.
Comment 3 wutr 2020-11-05 15:51:29 UTC
Created attachment 133053 [details]
Desktop when the problem occurs

Note how there is no panel, but desktop icons have magically appeared.
Comment 4 wutr 2020-11-05 15:52:13 UTC
Created attachment 133054 [details]
Desktop how it should be, and after restarting plasmashell

No desktop icons, different wallpaper and a panel at the bottom
Comment 5 wutr 2020-11-05 15:56:22 UTC
For me this, or something very similar to it, happens on every login. I'm using an external monitor and the laptop's screen is turned off. Work around it by running

      kquitapp5 plasmashell; kstart5 plasmashell

I've attached some screenshots. I don't use desktop icons normally, but they appear on boot. I do use a panel, but that disappears!

I've tried various things including removing all plasma* files/dirs from .config/ and also replaced them with a backup from a few years ago but to no avail.

Arch Linux with Plasma 5.20.2, Frameworks 5.75.0 and Qt 5.15.1

Also posted here:
https://www.reddit.com/r/kde/comments/jhaq6o/plasma_doesnt_load_my_profile_until_running/

And here:
https://bbs.archlinux.org/viewtopic.php?id=260242
Comment 6 rcorreia31 2020-11-06 08:57:47 UTC
You may want to have a look at this https://bugs.kde.org/show_bug.cgi?id=426496.
It has a link to https://bugreports.qt.io/browse/QTBUG-86604.
I have a external monitor plugged to a laptop.

Before theses fixes Plasma only showed a black background with a panel.
Krunner was shown on the top right and not in the middle.
The only option I had was to restart Plasmashell.
By manually applying the fixes on my Qt 5.15.1 compiled from source, Plasma is now starting as it should for me.
Comment 7 wutr 2020-11-06 11:57:10 UTC
(In reply to rcorreia31 from comment #6)
> You may want to have a look at this
> https://bugs.kde.org/show_bug.cgi?id=426496.
> It has a link to https://bugreports.qt.io/browse/QTBUG-86604.
> I have a external monitor plugged to a laptop.

Interesting!

Although some are still having issues even with a patched QT version right?

A couple of additional observations from my side:

Keeping the external monitor attached, but selecting "laptop screen" with the monitor switching popup on pressing Fn+F1 and then rebooting results in the KDE Plasma loading screen showing on both displays and then a brief flicker showing the 'wrong' desktop on the laptop screen, and then reverting to the correct layout and design (on the laptop screen, the external display is then disabled).

Unplugging the external monitor with the laptop powered off and then booting results in the correct desktop layout and design being shown immediately.
Comment 8 Nate Graham 2020-11-08 12:05:34 UTC
*** Bug 400036 has been marked as a duplicate of this bug. ***
Comment 9 wutr 2020-12-31 10:03:51 UTC
Still experiencing this and it's starting to get to me!

I'm happy to help, but would need some pointers as to where to start.
Comment 10 skierpage 2021-01-07 23:29:05 UTC
This sounds like a possible duplicate of bug 421498; here settings are lost on re-login, there settings are lost on startup.
Comment 11 Nate Graham 2021-01-07 23:30:33 UTC
Rather the opposite since this one is already marked VHI and has a duplicate bug report, but yes, looks like the same thing.
Comment 12 Nate Graham 2021-01-07 23:30:39 UTC
*** Bug 421498 has been marked as a duplicate of this bug. ***
Comment 13 Nate Graham 2021-01-08 20:53:00 UTC
*** Bug 421894 has been marked as a duplicate of this bug. ***
Comment 14 Nate Graham 2021-01-08 21:18:26 UTC
*** Bug 423421 has been marked as a duplicate of this bug. ***
Comment 15 Nate Graham 2021-01-08 21:18:34 UTC
*** Bug 428463 has been marked as a duplicate of this bug. ***
Comment 16 tagwerk19 2021-01-09 00:24:25 UTC
Have encountered this as well, in Fedora 32 and 33 KVM guests. Maybe even further back. X rather than Wayland.

I make a copy of

    plasma-org.kde.plasma.desktop-appletsrc 

that I can copy it back after it happens. I'm fairly modest in my desktop modifications but I've not noticed 'losing' any information that this does not fix.
Comment 17 krzmbrzl 2021-01-09 07:49:27 UTC
I also wanted to throw in that this is happening using X for me as well on KDE Neon. It has been an issue there for as long as I'm using it which I think is from 5.17 or something like that.
I used to use a laptop with an external screen attached via HDMI. 
Now I am using a desktop PC with two monitors (one connected via VGA and one via HDMI).

It seems that it is currently happening less frequently than it used to on my laptop though.
Comment 18 tagwerk19 2021-01-09 08:54:20 UTC
Clarifying the above...

I've started having this issue on a physical (rather than virtual) machine since Fedora 33. The symptoms are that I don't get the panels.  I've had this 3 times since end of November, so maybe 5% of the 'logons'

Previously, in the KVM guests, I noticed that I lost the wallpaper and positions of desktop icons. I don't have a screenshot so I cannot be sure of the details. It happened fairly rarely, not enough that I started taking notes

In all instances, a single monitor.

Comparing the 'good' and the three 'bad' plasma-org.kde.plasma.desktop-appletsrc files I'd copied. There seems to be a pattern with the bad files having 'lastScreen' set to 1, whereas the working config had it as 0.

    ...
    [Containments][2]
    activityId=
    formfactor=2
    immutability=1
    lastScreen=1
    location=3
    plugin=org.kde.panel
    wallpaperplugin=org.kde.image
    ...

Editing the file and setting lastScreen back to 0 got me that panel back.
Comment 19 wutr 2021-01-10 14:54:12 UTC
(In reply to tagwerk19 from comment #18)
> Clarifying the above...
> [...]
> 
> Comparing the 'good' and the three 'bad'
> plasma-org.kde.plasma.desktop-appletsrc files I'd copied. There seems to be
> a pattern with the bad files having 'lastScreen' set to 1, whereas the
> working config had it as 0.
> 
>     ...
>     [Containments][2]
>     [...]
>     lastScreen=1
> 
> Editing the file and setting lastScreen back to 0 got me that panel back.

When I tried replacing my .config/plasma* files with known good ones, I still had the same issues. I did it via a recovery console to rule out the bad ones being loaded to memory. I also removed them completely to get a default setup but that didn't help either, and didn't result in a default layout as far as I can remember. To me it seems like there are some configuration files elsewhere unknown to me that cause the problems.
Comment 20 Marco Martin 2021-01-12 14:50:10 UTC
did you use normally a multi monitor setup?
Comment 21 Mitchell McClure 2021-01-12 15:22:44 UTC
(In reply to Marco Martin from comment #20)
> did you use normally a multi monitor setup?

No: Running on Intel NUC-5  /  Screen: Sharp Aquos
Comment 22 wutr 2021-01-14 10:20:09 UTC
I would like to add the following:

Some time last year I added a keybinding in Plasma (Ctrl+Alt+End) to restart plasmashell ( kquitapp5 plasmashell; kstart5 plasmashell ). This works great when Plasma misbehaves (ie. crashes or hangs and doesn't restart itself), so when starting to investigate the bug in this report (disappearing panels etc.) I thought I could try and run this keycombo manually on boot. The interesting part is that during 'normal' operations the shortcut works first time, but on boot/first start of Plasma, I have to press it twice before Plasma gives me back my panels. If however I start a terminal and run the above command from there, it works first time. I have experimented with different timings between pressing the keyboard shortcut but it makes no difference. Maybe it's relevant, maybe not.
Comment 23 wutr 2021-01-19 11:01:57 UTC
Another update to my previous experience:

I added a new panel on the external monitor. Normally it 'disappears' on reboot and hides behind another panel on the laptop display. However, for some reason it is now persistent on the external monitor. There was a duplicate panel hiding behind the one on the laptop display, which I believe to be the one that was supposed to be on the external monitor, but I have removed that and so far this has survived quite a few reboots.

I don't dare unplug the external monitor or change the screen configuration because it's working now, but if it is required in the interest of finding out what's going on then I'll make the sacrifice...
Comment 24 wutr 2021-01-20 10:55:02 UTC
Created attachment 135014 [details]
Screenshot with panels intact but changed wallpaper.

Apparently the problem persists. My panels remain (hooray!) but now the background changes on its own. It survived a few reboots but since then it always returns to the blue-ish wallpaper, even if I change it back to the leaves.

Also, when I use my shortcut to restart plasma shell (see previous comment), the monitors "swap" places. It looks as if the laptop is initially the primary, until I restart plasma after which it remembers that I want the external display to be the primary. The wallpapers swap over accordingly.

If you look at the screenshot you can see the smaller display (laptop) has the blue wallpaper and it's filled up with the leaves. I don't know if that's an artifact of the KDE screenshot tool or not.
Comment 25 Mitchell McClure 2021-01-20 15:26:35 UTC
When my widgets and background disappear at logon sometimes, the "plasma-org.kde.plasma.desktop-appletsrc" entries beginning with "[Containments][1]" are always missing from the file.  I replace this "corrupted" file with a backup copy, and log off / on...the background and widgets are restored.  I cannot say what is causing the corruption / the removal of the "[Containments][1]" sections of "plasma-org.kde.plasma.desktop-appletsrc"?
Comment 26 wutr 2021-02-13 13:25:48 UTC
Another observation:

When a panel disappears from my external monitor, it hides behind the panel on my laptop screen. It's not at all obvious, but adding some widgets to a new panel showed me that some were already in use multiple times and it turns out they were still in use on that panel that was hidden behind the other one.
Comment 27 Nate Graham 2021-03-10 19:15:53 UTC
*** Bug 409158 has been marked as a duplicate of this bug. ***
Comment 28 Nate Graham 2021-03-11 00:50:55 UTC
*** Bug 421264 has been marked as a duplicate of this bug. ***
Comment 29 Nate Graham 2021-03-11 00:51:13 UTC
Duplicate Bug 421264 has some interesting information in it.
Comment 30 Nate Graham 2021-03-11 01:51:10 UTC
*** Bug 421608 has been marked as a duplicate of this bug. ***
Comment 31 tagwerk19 2021-03-11 10:05:58 UTC
(In reply to tagwerk19 from comment #18)
> I've started having this issue on a physical (rather than virtual) machine
> since Fedora 33. The symptoms are that I don't get the panels.  I've had
> this 3 times since end of November, so maybe 5% of the 'logons'
In the two months since my earlier report, I've not had any issues of losing the desktop configuration.

   Fedora 33
   Plasma : 5.20.5
   Frameworks : 5.79.0
   Qt : 5.15.2

   X in physical hardware and in KVM guests.
Comment 32 krzmbrzl 2021-03-11 10:27:43 UTC
I am also having this issue on physical hardware using KDE Neon. It is still happening to me (though I usually only lose my wallpaper for my second screen).

Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.2
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-59-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-4770 CPU @ 3.40GHz
Memory: 15,6 GiB of RAM
Graphics Processor: GeForce GTX 660 Ti/PCIe/SSE2
Comment 33 Lucas 2021-03-31 01:45:40 UTC
I have experienced this bug multiple times on X11 with Plasma 5.18, this is why I make copies of /home/MY_USERNAME/.config/plasma-org.kde.plasma.desktop-appletsrc as backup. I have yet to experience this bug on my current version of 5.20.5 but I can confirm this bug is indeed a problem in past builds.
Comment 34 assaf_hershko 2021-05-16 08:41:25 UTC
Happens to me on KDE Neon from time to time.
Interestingly (same as another comment above) it seems to be limited to my second screen, where my wallpaper resets back to the default.

Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.5
KDE Frameworks Version: 5.82.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-73-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-6600K CPU @ 3.50GHz
Memory: 7.7 GiB of RAM
Graphics Processor: GeForce GTX 970/PCIe/SSE2
Comment 35 Marco Martin 2021-05-18 14:25:33 UTC
this looks like the same problem we experience more often on plasma mobile, seems purely related to screen and containment association, panels seems to be immune to it.
another thing interesting that would be good to have it attached here is the
~/.config/plasma-org.kde.plasma.desktop-appletsrc   file
Comment 36 Frederick Zhang 2021-06-22 11:59:55 UTC
It had been ok for quite some time but started happening again after the recent Plasma 5.22.1 / Framework 5.83.0 update in my case.

System info:
Operating System: Arch Linux
KDE Plasma Version: 5.22.1
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Kernel Version: 5.12.12-zen1-1-zen (64-bit)
Graphics Platform: X11

XRandR:
Screen 0: minimum 8 x 8, current 7680 x 2160, maximum 16384 x 16384
HDMI-0 disconnected (normal left inverted right x axis y axis)
DP-0 connected (normal left inverted right x axis y axis)
   1920x1080     60.01 +  40.00
DP-1 connected 3840x2160+3840+0 (normal left inverted right x axis y axis) 476mm x 268mm
   1920x1080     60.00*+  59.94    50.00
   1680x1050     59.95
   1440x900      59.89
   1280x1024     75.02    60.02
   1280x960      60.00
   1280x720      60.00    59.94    50.00
   1024x768      75.03    70.07    60.00
   800x600       75.00    72.19    60.32    56.25
   720x576       50.00
   720x480       59.94
   640x480       75.00    72.81    59.94    59.93
DP-2 disconnected (normal left inverted right x axis y axis)
DP-3 connected primary 3840x2160+0+0 (normal left inverted right x axis y axis) 597mm x 336mm
   3840x2160     60.00*+  29.98
   2560x1440     59.95
   1920x2160     59.99
   1920x1080     60.00    59.94    50.00
   1680x1050     59.95
   1440x900      59.89
   1280x1024     75.02    60.02
   1280x960      60.00
   1280x720      60.00    59.94    50.00
   1024x768      75.03    70.07    60.00
   800x600       75.00    72.19    60.32    56.25
   720x576       50.00
   720x480       59.94
   640x480       75.00    72.81    59.94    59.93
DP-4 disconnected (normal left inverted right x axis y axis)
Comment 37 Marco Martin 2021-06-25 10:37:22 UTC
hunch is that kactivitymanager related, i'll put more debug info there,
note to self: is also worth trying to make kactivitymanager explode at different phases of kactivitymanager startup
Comment 38 Marco Martin 2021-06-25 10:39:07 UTC
probably in void ShellCorona::checkActivities()
Comment 39 dreamndi 2021-07-05 09:33:43 UTC
Kde Neon, Plasma from version 5.22 to 5.22.2 affected. Usually after updates, when I login, wallpaper is gone (black image), panel is okay and I cannot make a selection on desktop.
Comment 40 skierpage 2021-07-10 07:03:43 UTC
Running Fedora 34 Plasma 5.22.2, KDE Frameworks 5.83.0 on Wayland, I disconnected an external monitor where I have my default Panel and most app windows. My Wayland apps appeared on my laptop screen (good), an X11 Thunderbird crashed, and the Panel didn't move to the laptop screen (debatable).

Upon reconnect, the external monitor reset to wallpaper and desktop icons, and no Panel. All of this sounds like what other people are reporting in comments, BUT: Also, the Meta (Windows) key no longer launched the Application Launcher! This happened to me on one of the 5 or so previous times I lost my desktop settings (comment 11 on bug 421498), mostly upon restarts. Once you've lost the Meta key, you can't get it back by setting up Keyboard shortcuts. Alt-F1 doesn't work either. In System Settings > Shortcuts > Plasma, I have _THREE_ identical "Activate Application Launcher Widget" choices, each with no shortcuts.  This sounds like bug 391322 (which may be fixed in a new release, wahoo!). Restoring my old ~/.config/plasma-org.kde.plasma.desktop-appletsrc and restarting plasmashell doesn't fix this.

Sometimes it feels like using Plasma just piles up cruft in settings files.
Comment 41 Nate Graham 2021-08-17 15:55:05 UTC
Out of curiosity, is anyone able to reproduce this issue with only one screen, or is everyone affected using two or more screens?
Comment 42 Mitchell McClure 2021-08-17 16:10:36 UTC
I only have one screen, and when this happens...HOPEFULLY I've created a recent copy of "plasma-org.kde.plasma.desktop-appletsrc".  A chunk of this file gets deleted every so often which is what this bug is.  I replace this file with my backup copy, and it's fine for another few days, weeks, hours...the timing is random.
Comment 43 tagwerk19 2021-08-17 22:13:33 UTC
(In reply to Nate Graham from comment #41)
> Out of curiosity, is anyone able to reproduce this issue with only one
> screen, or is everyone affected using two or more screens?
Good question.

I like the idea of a periodic "where are we" summary, it's a big job though. 

Further from my experiences Comment 16 - Comment 31, with a Fedora guest under KVM (single screen)

The then recurrent problems were with F33 (and X), these effectively vanished by Comment 31. Since then the guests have been upgraded F34, still running X.

I could have had one issue, leading to the placement of the shortcuts on the desktop being forgotten, but I wasn't on the ball enough to troubleshoot.
Comment 44 Nate Graham 2021-08-18 15:31:20 UTC
OK, if it happens when there is only a single screen as well, then it is probably not the same thing as Bug 391531 or one of its related issues.
Comment 45 Eric Donkersloot 2021-09-02 06:02:54 UTC
I'm affected as well. Unfortunately this happens most of the time when logging in and it's a huge deal breaker for me. My Lenovo X1carbon gen6 is connected to an external 27" Dell monitor but has its own internal panel disabled ("clamshell mode"). Let me know if I have to provide moer information.

Operating System: Arch Linux
KDE Plasma Version: 5.22.5
KDE Frameworks Version: 5.85.0
Qt Version: 5.15.2
Kernel Version: 5.13.13-zen1-1-zen (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-8550U CPU @ 1.80GHz
Memory: 15,5 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620
Comment 46 tagwerk19 2021-09-10 05:58:18 UTC
(In reply to tagwerk19 from comment #43)
> I could have had one issue, leading to the placement of the shortcuts on the
> desktop being forgotten, but I wasn't on the ball enough to troubleshoot.
I'd say I've seen it again, forgetting the size/placement of the desktop icons (hadn't done any more customisation)

Fedora 34 as a guest VM, single screen, virtio graphics, X11...

I also noticed an enquiry here:
    https://old.reddit.com/r/kde/comments/pl5xfq/howwhy_does_ubuntu_periodically_reset_my_plasma/
Comment 47 Nate Graham 2021-09-24 20:29:46 UTC
*** Bug 442826 has been marked as a duplicate of this bug. ***
Comment 48 pappl 2021-10-25 17:48:29 UTC
KDE Plasma second Desktop-wallpaper stays black & no menu

i’m running Manjaro KDE with two monitors.
Since weeks the second monitor doesn’t show a wallpaper, only black screen.
I can’t right click on this second desktop and get into the rightclick menu to do anything.
But i can drag windows on this second screen and work like normal without any graphics issues. See attached file (kde-black screen.jpg)

Once every 20th reboot i get both wallpapers and it works, but most of the time not.
Unplugging the second monitor helps sometimes, most of the time bug occurs again after reboot.
Switched Kernels from LTS, 5.12, 5.13, 5.14, reinstalled whole system, always same issue.
Comment 49 pappl 2021-10-25 17:49:18 UTC
Created attachment 142863 [details]
KDE Plasma second Desktop-wallpaper stays black & no menu. kde-black screen.jpg
Comment 50 pappl 2021-10-25 17:52:10 UTC
Comment on attachment 142863 [details]
KDE Plasma second Desktop-wallpaper stays black & no menu. kde-black screen.jpg

Known workaround:
open terminal and run:
kquitapp5 plasmashell && kstart5 plasmashell
Comment 51 Mitchell McClure 2021-10-25 18:24:51 UTC
"Known Workaround"?  

The cause of this problem is mysteriously + randomly, the [Containments][1] section is deleted from the contents of...plasma-org.kde.plasma.desktop-appletsrc...  

The only "workaround" is a restoration using a manually backed up LKGC of this file.
Comment 52 pappl 2021-10-26 08:11:38 UTC
(In reply to Mitchell McClure from comment #51)
> "Known Workaround"?  
> 
> The cause of this problem is mysteriously + randomly, the [Containments][1]
> section is deleted from the contents
> of...plasma-org.kde.plasma.desktop-appletsrc...  
> 
> The only "workaround" is a restoration using a manually backed up LKGC of
> this file.

Strange, it happens to my desktop even after reinstalling whole system on a new ssd. Manjaro KDE. No backups.
Comment 53 pappl 2021-10-26 08:42:53 UTC
I deleted plasma-org.kde.plasma.desktop-appletsrc from user/home/.config/ and after reboot the bug was gone. I set up my desktop again and after second reboot the bug is here again. :-(
Plasma multi-monitor setup seems broken.
Comment 54 Lucas 2021-10-30 01:23:27 UTC
(In reply to Nate Graham from comment #41)
> Out of curiosity, is anyone able to reproduce this issue with only one
> screen, or is everyone affected using two or more screens?

I have this problem with my PC using one screen. I've never used more than 1 monitor.
Comment 55 Mitchell McClure 2021-10-30 02:02:09 UTC
One screen...HDMI:Sharp Aquos 70
Comment 56 Samuel Penn 2021-10-31 11:29:42 UTC
I've been seeing a very similar problem since installing a new computer a few months ago. I don't have any icons or widgets on my desktops (just one panel), but I have three screens with wallpapers set. Sometimes, one or more of the screens will change back to the default wallpaper on login. It normally happens to just one screen, sometimes two, it's completely random which.

Wallpapers are on local disk, so it shouldn't be network related (which was my first thought). The fact that configuration for the other screens is retained is odd.

Kubuntu 21.04, KDE Plasma 5.21.4
Comment 57 Nate Graham 2021-11-08 19:14:40 UTC
*** Bug 444947 has been marked as a duplicate of this bug. ***
Comment 58 olivercrothers77 2021-11-23 19:48:42 UTC
Just happened to me now. My sddm theme just changed for no reason, and my sddm wallpaper randomly reverts back to default after a couple of logins.
Comment 59 olivercrothers77 2021-11-23 19:49:35 UTC
Just happened to me now. My sddm theme just changed for no reason, and my sddm wallpaper randomly reverts back to default after a couple of logins.
Comment 60 Fabian 2021-12-15 10:40:58 UTC
Just wanted to say that for me personally this is nothing new-ish, I've been having these desktop resets for a long time, sometimes it happens more often, the last months it didn't happen at all. The last days it kept happening again and again.
Not sure if that has something to do with it, but Plasma also crashed quite a lot in the last days, especially after the screensaver.
I've started using Plasma Config Saver a while ago because I didn't want to redo my whole desktop (not too much work, but still).
When I re-apply the Plasma Config using this widget Plasma crashes again, but comes back with all the right settings and stuff.
If there is anything I can help with let me know.

Some information:
–––––––––––––––––
Linux ... 5.15.6-1-default #1 SMP Wed Dec 1 08:32:12 UTC 2021 (c2ce213) x86_64 x86_64 x86_64 GNU/Linux
Plasma 5.23.4 (KWin)
Nvidia Driver Version 470.86
X-Server Version: 11.0
X-Server Vendor Version: 1.21.1.1 (12101001)
Monitors: 3, combined resolution 3640x2520


I could also gather some logs of plasmashell using KSystemLog, do I just add these as an attachment?
Comment 61 Méven Car 2022-01-03 14:14:10 UTC
A great input to help confirm the bug origin and solve  this, would be to share `~/.config/plasma-org.kde.plasma.desktop-appletsrc` before and after the bug occurs (the files might be identical) and the output of kscreen-doctor -o.

It is likely due to the screen's connector name changing, then plasmashell fails to load the right settings (plasma containment) for the screen.

I have the idea to make plasma not dependent on connector's names at all to make all the screen to containment association more reliable.
Comment 62 Thulashitharan 2022-01-04 02:52:35 UTC
I can also reproduce the issue. I would like to add that even Latte-dock loses its current layout. That is, if you have two latte layouts A and B. And if A is the default. This bug causes layout A to lose all its panels and docks.  Layout B is safe.

Frequency of the bug :- Once in a month. I have noticed that these incidents happen more frequently after [such](https://pastebin.com/2Pcdn9wh) kwin core dumps (Might have been a coincidence)

-----System details-------
Operating System: Arch Linux
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.89.0
Qt Version: 5.15.2
Kernel Version: 5.15.12-zen1-1-zen (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 5800H with Radeon Graphics
Memory: 13.6 GiB of RAM
Graphics Processor: AMD RENOIR and NVIDIA RTX 3060
Comment 63 Frederick Zhang 2022-01-04 06:46:19 UTC
Just happened to me again. `plasma-org.kde.plasma.desktop-appletsrc` before and after as requested.

After (bad):

> [ActionPlugins][0]
> MiddleButton;NoModifier=org.kde.paste
> RightButton;NoModifier=org.kde.contextmenu
> wheel:Vertical;NoModifier=org.kde.switchdesktop
> 
> [ActionPlugins][1]
> RightButton;NoModifier=org.kde.contextmenu
> 
> [Containments][53]
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=0
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][53][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/3840x2160.png
> 
> [Containments][54]
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=2
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][54][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/3840x2160.png
> 
> [Containments][55]
> activityId=
> formfactor=2
> immutability=1
> lastScreen=0
> location=4
> plugin=org.kde.panel
> wallpaperplugin=org.kde.image
> 
> [Containments][55][Applets][56]
> immutability=1
> plugin=org.kde.plasma.kickoff
> 
> [Containments][55][Applets][56][Configuration][Shortcuts]
> global=Alt+F1
> 
> [Containments][55][Applets][57]
> immutability=1
> plugin=org.kde.plasma.pager
> 
> [Containments][55][Applets][58]
> immutability=1
> plugin=org.kde.plasma.icontasks
> 
> [Containments][55][Applets][59]
> immutability=1
> plugin=org.kde.plasma.marginsseparator
> 
> [Containments][55][Applets][60]
> immutability=1
> plugin=org.kde.plasma.systemtray
> 
> [Containments][55][Applets][60][Configuration]
> PreloadWeight=55
> SystrayContainmentId=61
> 
> [Containments][55][Applets][72]
> immutability=1
> plugin=org.kde.plasma.digitalclock
> 
> [Containments][55][Applets][73]
> immutability=1
> plugin=org.kde.plasma.showdesktop
> 
> [Containments][55][General]
> AppletOrder=56;57;58;59;60;72;73
> 
> [Containments][61]
> activityId=
> formfactor=2
> immutability=1
> lastScreen=0
> location=4
> plugin=org.kde.plasma.private.systemtray
> wallpaperplugin=org.kde.image
> 
> [Containments][61][Applets][62]
> immutability=1
> plugin=org.kde.plasma.devicenotifier
> 
> [Containments][61][Applets][63]
> immutability=1
> plugin=org.kde.plasma.keyboardlayout
> 
> [Containments][61][Applets][64]
> immutability=1
> plugin=org.kde.plasma.volume
> 
> [Containments][61][Applets][65]
> immutability=1
> plugin=org.kde.plasma.printmanager
> 
> [Containments][61][Applets][66]
> immutability=1
> plugin=org.kde.plasma.notifications
> 
> [Containments][61][Applets][67]
> immutability=1
> plugin=org.kde.plasma.keyboardindicator
> 
> [Containments][61][Applets][68]
> immutability=1
> plugin=org.kde.plasma.clipboard
> 
> [Containments][61][Applets][69]
> immutability=1
> plugin=org.kde.kdeconnect
> 
> [Containments][61][Applets][70]
> immutability=1
> plugin=org.kde.plasma.nightcolorcontrol
> 
> [Containments][61][Applets][71]
> immutability=1
> plugin=org.kde.plasma.manage-inputmethod
> 
> [Containments][61][Applets][74]
> immutability=1
> plugin=org.kde.plasma.battery
> 
> [Containments][61][Applets][75]
> immutability=1
> plugin=org.kde.plasma.networkmanagement
> 
> [Containments][61][Applets][76]
> immutability=1
> plugin=org.kde.plasma.bluetooth
> 
> [Containments][61][General]
> extraItems=org.kde.plasma.devicenotifier,org.kde.plasma.keyboardlayout,org.kde.plasma.mediacontroller,org.kde.plasma.volume,org.kde.plasma.printmanager,org.kde.plasma.notifications,org.kde.plasma.keyboardindicator,org.kde.plasma.clipboard,org.kde.plasma.battery,org.kde.kdeconnect,org.kde.plasma.nightcolorcontrol,org.kde.plasma.bluetooth,org.kde.plasma.manage-inputmethod,org.kde.plasma.networkmanagement
> knownItems=org.kde.plasma.devicenotifier,org.kde.plasma.keyboardlayout,org.kde.plasma.mediacontroller,org.kde.plasma.volume,org.kde.plasma.printmanager,org.kde.plasma.notifications,org.kde.plasma.keyboardindicator,org.kde.plasma.clipboard,org.kde.plasma.battery,org.kde.kdeconnect,org.kde.plasma.nightcolorcontrol,org.kde.plasma.bluetooth,org.kde.plasma.manage-inputmethod,org.kde.plasma.networkmanagement
> 
> [Containments1Appletsts][23][Configuration][General]
> color=translucent-light
> noteId=cd8139de-665b-455a-a8b6-b28e636952
> 
> [General]
> immutability=1
> 
> [ScreenMapping]
> itemsOnDisabledScreens=<redacted>
> screenMapping=<redacted>


Before (good):

> [ActionPlugins][0]
> MiddleButton;NoModifier=org.kde.paste
> RightButton;NoModifier=org.kde.contextmenu
> wheel:Vertical;NoModifier=org.kde.switchdesktop
> 
> [ActionPlugins][1]
> RightButton;NoModifier=org.kde.contextmenu
> 
> [Containments][26]
> ItemGeometriesHorizontal=
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=1
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][26][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][26][Configuration]
> PreloadWeight=0
> 
> [Containments][26][General]
> ToolBoxButtonState=topright
> ToolBoxButtonX=1888
> pressToMoveHelp=false
> url=activities:/current/
> 
> [Containments][26][Wallpaper][org.kde.image][General]
> Image=file:///home/frederick/Pictures/1.jpg
> SlidePaths=/home/frederick/.local/share/wallpapers,/usr/share/wallpapers
> 
> [Containments][33]
> ItemGeometriesHorizontal=
> activityId=8bab8da6-bf95-4a39-829c-b0f5cc2ff121
> formfactor=0
> immutability=1
> lastScreen=1
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][33][Configuration]
> PreloadWeight=0
> 
> [Containments][34]
> ItemGeometriesHorizontal=
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=7
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][34][Configuration]
> PreloadWeight=0
> 
> [Containments][35]
> ItemGeometriesHorizontal=
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=8
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][35][Configuration]
> PreloadWeight=0
> 
> [Containments][35][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/1920x1080.png
> 
> [Containments][36]
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=9
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][36][Configuration]
> PreloadWeight=0
> 
> [Containments][36][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/1920x1080.png
> 
> [Containments][37]
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=10
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][37][Configuration]
> PreloadWeight=0
> 
> [Containments][37][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/3840x2160.png
> 
> [Containments][38]
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=11
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][38][Configuration]
> PreloadWeight=0
> 
> [Containments][38][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/1920x1080.png
> 
> [Containments][40]
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=3
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][40][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][40][Configuration]
> PreloadWeight=0
> 
> [Containments][40][Wallpaper][org.kde.image][General]
> Image=file:///home/frederick/Pictures/1.jpg
> 
> [Containments][41]
> ItemGeometries-3840x2160=
> ItemGeometriesHorizontal=
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=2
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][41][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][41][Configuration]
> PreloadWeight=0
> 
> [Containments][41][General]
> url=activities:/current/
> 
> [Containments][41][Wallpaper][org.kde.image][General]
> Image=file:///home/frederick/Pictures/2.jpg
> 
> [Containments][42]
> ItemGeometries-3840x2160=Applet-24:352,512,608,544,0;Applet-23:2912,1632,768,416,0;
> ItemGeometriesHorizontal=Applet-24:352,512,608,544,0;Applet-23:2912,1632,768,416,0;
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=0
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][42][Applets][23]
> immutability=1
> plugin=org.kde.plasma.notes
> 
> [Containments][42][Applets][23][Configuration]
> PreloadWeight=0
> 
> [Containments][42][Applets][23][Configuration][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][42][Applets][23][Configuration][General]
> color=translucent-light
> fontSize=8
> noteId=cd8139de-665b-455a-a8b6-b28e636952
> 
> [Containments][42][Applets][24]
> immutability=1
> plugin=org.kde.plasma.weather
> 
> [Containments][42][Applets][24][Configuration]
> PreloadWeight=0
> source=wettercom|weather|Melbourne, State of Victoria, AU|AU0VI0027;Melbourne
> updateInterval=30
> weatherServiceProviders=wettercom
> 
> [Containments][42][Applets][24][Configuration][ConfigDialog]
> DialogHeight=600
> DialogWidth=800
> 
> [Containments][42][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][42][Configuration]
> PreloadWeight=0
> 
> [Containments][42][General]
> ItemsGeometries=Applet-24:160,530,350,350,0;Applet-23:1440,720,450,300,0;
> ToolBoxButtonState=topcenter
> ToolBoxButtonX=1544
> pressToMoveHelp=false
> url=activities:/current/
> 
> [Containments][42][Wallpaper][org.kde.image][General]
> Image=file:///home/frederick/Pictures/3.jpg
> 
> [Containments][45]
> activityId=8bab8da6-bf95-4a39-829c-b0f5cc2ff121
> formfactor=0
> immutability=1
> lastScreen=3
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][45][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][45][Configuration]
> PreloadWeight=0
> 
> [Containments][45][Wallpaper][org.kde.image][General]
> Image=file:///home/frederick/Pictures/4.jpg
> 
> [Containments][46]
> activityId=8bab8da6-bf95-4a39-829c-b0f5cc2ff121
> formfactor=0
> immutability=1
> lastScreen=0
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][46][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][46][Configuration]
> PreloadWeight=0
> 
> [Containments][46][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/FallenLeaf/contents/images/2560x1600.jpg
> 
> [Containments][47]
> ItemGeometriesHorizontal=
> activityId=8bab8da6-bf95-4a39-829c-b0f5cc2ff121
> formfactor=0
> immutability=1
> lastScreen=2
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][47][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][47][Configuration]
> PreloadWeight=0
> 
> [Containments][47][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/3840x2160.jpg
> 
> [Containments][49]
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=4
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][49][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][49][Configuration]
> PreloadWeight=0
> 
> [Containments][49][Wallpaper][org.kde.image][General]
> Image=file:///home/frederick/Pictures/4.jpg
> 
> [Containments][51]
> ItemGeometriesHorizontal=
> activityId=4af2ccac-4ce0-40e3-a7a6-7d740b7152a8
> formfactor=0
> immutability=1
> lastScreen=5
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][51][ConfigDialog]
> DialogHeight=900
> DialogWidth=1200
> 
> [Containments][51][Configuration]
> PreloadWeight=0
> 
> [Containments][51][Wallpaper][org.kde.image][General]
> Image=file:///home/frederick/Pictures/5.jpg
> SlidePaths=/home/frederick/.local/share/wallpapers,/usr/share/wallpapers
> 
> [Containments][52]
> activityId=8bab8da6-bf95-4a39-829c-b0f5cc2ff121
> formfactor=0
> immutability=1
> lastScreen=5
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][52][Configuration]
> PreloadWeight=0
> 
> [Containments][52][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/3840x2160.png
> 
> [Containments1Appletsts][23][Configuration][General]
> color=translucent-light
> noteId=cd8139de-665b-455a-a8b6-b28e636952
> 
> [General]
> immutability=1
> 
> [ScreenMapping]
> itemsOnDisabledScreens=<redacted>
> screenMapping=<redacted>


I'm running dual 4K now. No weird XRandR scaling involved.

> Screen 0: minimum 8 x 8, current 7680 x 2160, maximum 16384 x 16384
> HDMI-0 connected 3840x2160+3840+0 (normal left inverted right x axis y axis) 597mm x 336mm
>    3840x2160     60.00*+  59.94    29.98
>    2560x1440     59.95
>    1920x2160     59.99
>    1920x1080     60.00    59.94    50.00    60.00    50.04
>    1680x1050     59.95
>    1440x900      59.89
>    1280x1024     75.02    60.02
>    1280x960      60.00
>    1280x720      60.00    59.94    50.00
>    1024x768      75.03    70.07    60.00
>    800x600       75.00    72.19    60.32    56.25
>    720x576       50.00
>    720x480       59.94
>    640x480       75.00    72.81    59.94    59.93
> DP-0 disconnected (normal left inverted right x axis y axis)
> DP-1 disconnected (normal left inverted right x axis y axis)
> DP-2 disconnected (normal left inverted right x axis y axis)
> DP-3 connected primary 3840x2160+0+0 (normal left inverted right x axis y axis) 697mm x 392mm
>    3840x2160     60.00*+  30.00
>    2560x1440     59.95
>    1920x1080     60.00    59.94    59.93
>    1280x720      59.94
>    1024x768      60.00
>    800x600       60.32
>    720x480       59.94
>    640x480       59.94    59.93
> DP-4 disconnected (normal left inverted right x axis y axis)
Comment 64 vilmil 2022-01-13 06:09:07 UTC
Today is the first time this bug happens to me too, Unfortunately, after one year, I think I joined the bunch of users who had this bug:)

This problem is not related to having 2 screens, I have a single screen and this happens too. I think this is a bug in core of plasma not a specific situation.

My system info:
```
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.89.0
Qt Version: 5.15.2
Kernel Version: 5.4.169-1-MANJARO (64-bit)
Graphics Platform: X11
WM: KWin
WM Theme: Blur-Glassy-v2
Theme: Breath [Plasma]
Icons: breath [Plasma], breath [GTK2/3]
```
Comment 65 Viorel-Cătălin Răpițeanu 2022-01-21 22:46:42 UTC
This happened to me once after I installed the master branch plasma-desktop (during 5.23.9 cycle) on my development machine. On the next reboot all settings regarding wallpaper, widgets and icons settings were lost.
Comment 66 Corentin Girard 2022-01-24 09:46:46 UTC
I have the same problems.

This one exactly: https://bugs.kde.org/show_bug.cgi?id=442826
And the desktop settings: wallpapers and widgets.

Operation System: Manjaro Linux 21.2.2
KDE Plasma Version: 5.23.5
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.16.2-1-MANJARO (64-bit)
Graphics Platform: X11
Comment 67 Prajna Sariputra 2022-02-08 12:12:54 UTC
Recently it's been happening more often for me, I suspect (in my specific case) it has something to do with switching between running KDE on my integrated Intel graphics or the discrete NVIDIA graphics, both on X11 (I was switching between Intel+Wayland and NVIDIA+X11 before, didn't happen anywhere near as often if ever). So far I've only seen it happen when switching back to the Intel session from the NVIDIA one, haven't seen it happen the other way around, but unfortunately (for debugging) it doesn't happen consistently still.

Anyway, while I don't have a direct before-after of the config file I do have a recent backup of it plus its state when the bug appears, and I'm fairly certain that I haven't made any changes to the layout or settings of the panels, desktop and plasmoids since that backup. Looking through the diff it does look like that everything in containment 51 (which contains the one plasmoid I have plus my desktop settings like the wallpaper) disappeared, and containment 53 took its place (which also has the desktop settings and wallpaper, although reset, and the plasmoid is missing).

I only have a single 1080p 60Hz display, which is the internal laptop one, and I don't use any scaling.

Backup (before the bug):
> [ActionPlugins][0]
> MiddleButton;NoModifier=org.kde.paste
> RightButton;NoModifier=org.kde.contextmenu
> wheel:Vertical;NoModifier=org.kde.switchdesktop
> 
> [ActionPlugins][1]
> RightButton;NoModifier=org.kde.contextmenu
> 
> [Containments][26]
> activityId=
> formfactor=2
> immutability=1
> lastScreen=0
> location=4
> plugin=org.kde.panel
> wallpaperplugin=org.kde.image
> 
> [Containments][26][Applets][27]
> immutability=1
> plugin=org.kde.plasma.kickoff
> 
> [Containments][26][Applets][27][Configuration]
> PreloadWeight=100
> 
> [Containments][26][Applets][27][Configuration][ConfigDialog]
> DialogHeight=600
> DialogWidth=800
> 
> [Containments][26][Applets][27][Configuration][General]
> favoritesPortedToKAstats=true
> primaryActions=3
> systemFavorites=lock-screen\\,logout\\,save-session\\,switch-user\\,suspend\\,hibernate\\,reboot\\,shutdown
> 
> [Containments][26][Applets][27][Configuration][Shortcuts]
> global=Alt+F1
> 
> [Containments][26][Applets][27][Shortcuts]
> global=Alt+P
> 
> [Containments][26][Applets][28]
> immutability=1
> plugin=org.kde.plasma.pager
> 
> [Containments][26][Applets][31]
> immutability=1
> plugin=org.kde.plasma.systemtray
> 
> [Containments][26][Applets][31][Configuration]
> PreloadWeight=65
> SystrayContainmentId=32
> 
> [Containments][26][Applets][44]
> immutability=1
> plugin=org.kde.plasma.digitalclock
> 
> [Containments][26][Applets][44][Configuration]
> PreloadWeight=60
> 
> [Containments][26][Applets][44][Configuration][Appearance]
> enabledCalendarPlugins=/usr/lib/qt/plugins/plasmacalendarplugins/holidaysevents.so,/usr/lib/qt/plugins/plasmacalendarplugins/pimevents.so
> selectedTimeZones=America/Vancouver,Asia/Jakarta,Local
> 
> [Containments][26][Applets][44][Configuration][ConfigDialog]
> DialogHeight=600
> DialogWidth=800
> 
> [Containments][26][Applets][50]
> immutability=1
> plugin=org.kde.plasma.taskmanager
> 
> [Containments][26][Applets][50][Configuration][General]
> launchers=
> 
> [Containments][26][ConfigDialog]
> DialogHeight=86
> DialogWidth=1920
> 
> [Containments][26][General]
> AppletOrder=27;28;50;31;44
> 
> [Containments][32]
> activityId=
> formfactor=2
> immutability=1
> lastScreen=0
> location=4
> plugin=org.kde.plasma.private.systemtray
> wallpaperplugin=org.kde.image
> 
> [Containments][32][Applets][33]
> immutability=1
> plugin=org.kde.plasma.devicenotifier
> 
> [Containments][32][Applets][34]
> immutability=1
> plugin=org.kde.kdeconnect
> 
> [Containments][32][Applets][35]
> immutability=1
> plugin=org.kde.plasma.keyboardindicator
> 
> [Containments][32][Applets][36]
> immutability=1
> plugin=org.kde.plasma.manage-inputmethod
> 
> [Containments][32][Applets][37][Configuration]
> PreloadWeight=42
> 
> [Containments][32][Applets][38]
> immutability=1
> plugin=org.kde.plasma.clipboard
> 
> [Containments][32][Applets][39]
> immutability=1
> plugin=org.kde.plasma.keyboardlayout
> 
> [Containments][32][Applets][40]
> immutability=1
> plugin=org.kde.plasma.notifications
> 
> [Containments][32][Applets][40][Configuration]
> PreloadWeight=55
> 
> [Containments][32][Applets][41][Configuration]
> PreloadWeight=42
> 
> [Containments][32][Applets][42]
> immutability=1
> plugin=org.kde.plasma.printmanager
> 
> [Containments][32][Applets][43]
> immutability=1
> plugin=org.kde.plasma.volume
> 
> [Containments][32][Applets][46]
> immutability=1
> plugin=org.kde.plasma.battery
> 
> [Containments][32][Applets][47][Configuration]
> PreloadWeight=42
> 
> [Containments][32][Applets][48]
> immutability=1
> plugin=org.kde.plasma.networkmanagement
> 
> [Containments][32][Applets][49]
> immutability=1
> plugin=org.kde.plasma.bluetooth
> 
> [Containments][32][ConfigDialog]
> DialogHeight=600
> DialogWidth=800
> 
> [Containments][32][General]
> extraItems=org.kde.plasma.devicenotifier,org.kde.kdeconnect,org.kde.plasma.keyboardindicator,org.kde.plasma.bluetooth,org.kde.plasma.mediacontroller,org.kde.plasma.manage-inputmethod,org.kde.plasma.clipboard,org.kde.plasma.battery,org.kde.plasma.keyboardlayout,org.kde.plasma.notifications,org.kde.plasma.networkmanagement,org.kde.plasma.printmanager,org.kde.plasma.volume
> hiddenItems=org.kde.plasma.manage-inputmethod
> knownItems=org.kde.plasma.devicenotifier,org.kde.kdeconnect,org.kde.plasma.keyboardindicator,org.kde.plasma.bluetooth,org.kde.plasma.mediacontroller,org.kde.plasma.manage-inputmethod,org.kde.plasma.vault,org.kde.ktp-contactlist,org.kde.plasma.clipboard,org.kde.plasma.battery,org.kde.plasma.keyboardlayout,org.kde.plasma.notifications,org.kde.plasma.nightcolorcontrol,org.kde.plasma.networkmanagement,org.kde.plasma.printmanager,org.kde.plasma.volume
> 
> [Containments][51]
> ItemGeometries-1920x1080=Applet-52:1152,32,736,512,0;
> ItemGeometriesHorizontal=Applet-52:1152,32,736,512,0;
> activityId=844db4c7-74a2-43f6-9b58-ea998e2b11b5
> formfactor=0
> immutability=1
> lastScreen=0
> location=0
> plugin=org.kde.desktopcontainment
> wallpaperplugin=org.kde.image
> 
> [Containments][51][Applets][52]
> immutability=1
> plugin=org.kde.plasma.systemmonitor
> 
> [Containments][51][Applets][52][Configuration]
> UserBackgroundHints=ShadowBackground
> 
> [Containments][51][Applets][52][Configuration][Appearance]
> chartFace=org.kde.ksysguard.processtable
> title=Process List
> 
> [Containments][51][Applets][52][Configuration][ConfigDialog]
> DialogHeight=600
> DialogWidth=800
> 
> [Containments][51][Applets][52][Configuration][org.kde.ksysguard.processtable][General]
> columnDisplay={"ioCharactersActuallyReadRate":"hidden","ioCharactersActuallyWrittenRate":"hidden","netInbound":"hidden","netOutbound":"hidden","usage":"textScaled","vmPSS":"text"}
> columnWidths=0.7511961722488039,0.125,0.125,0.125,0.125,0.125,0.125
> sortedColumns=name,usage,vmPSS,netInbound,netOutbound,ioCharactersActuallyReadRate,ioCharactersActuallyWrittenRate,ioniceLevel,sysTime,totalUserUsage,vmShared,sysUsage,ioPriorityClass,uid,ioWriteSyscalls,parentPid,tty,userTime,ioCharactersWrittenRate,status,totalUsage,niceLevel,nvidia_memory,userUsage,ioCharactersRead,numThreads,gid,scheduler,startTime,ioCharactersWritten,sgid,tracerpid,ioCharactersActuallyRead,login,vmSize,fsuid,canUserLogin,fsgid,ioReadSyscallsRate,vmURSS,username,nvidia_usage,egid,totalSysUsage,ioCharactersReadRate,euid,command,pid,suid,ioReadSyscalls,name
> userFilterMode=3
> 
> [Containments][51][ConfigDialog]
> DialogHeight=636
> DialogWidth=800
> 
> [Containments][51][General]
> ToolBoxButtonState=topcenter
> ToolBoxButtonX=574
> 
> [Containments][51][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/1920x1080.png
> SlidePaths=/home/m7/.local/share/wallpapers,/usr/share/wallpapers
> 
> [ScreenMapping]
> itemsOnDisabledScreens=

After the bug:
> [ActionPlugins][0]
> MiddleButton;NoModifier=org.kde.paste
> RightButton;NoModifier=org.kde.contextmenu
> wheel:Vertical;NoModifier=org.kde.switchdesktop
> 
> [ActionPlugins][1]
> RightButton;NoModifier=org.kde.contextmenu
> 
> [Containments][26]
> activityId=
> formfactor=2
> immutability=1
> lastScreen=0
> location=4
> plugin=org.kde.panel
> wallpaperplugin=org.kde.image
> 
> [Containments][26][Applets][27]
> immutability=1
> plugin=org.kde.plasma.kickoff
> 
> [Containments][26][Applets][27][Configuration]
> PreloadWeight=100
> 
> [Containments][26][Applets][27][Configuration][ConfigDialog]
> DialogHeight=600
> DialogWidth=800
> 
> [Containments][26][Applets][27][Configuration][General]
> favoritesPortedToKAstats=true
> primaryActions=3
> systemFavorites=lock-screen\\,logout\\,save-session\\,switch-user\\,suspend\\,hibernate\\,reboot\\,shutdown
> 
> [Containments][26][Applets][27][Configuration][Shortcuts]
> global=Alt+F1
> 
> [Containments][26][Applets][27][Shortcuts]
> global=Alt+P
> 
> [Containments][26][Applets][28]
> immutability=1
> plugin=org.kde.plasma.pager
> 
> [Containments][26][Applets][31]
> immutability=1
> plugin=org.kde.plasma.systemtray
> 
> [Containments][26][Applets][31][Configuration]
> PreloadWeight=95
> SystrayContainmentId=32
> 
> [Containments][26][Applets][44]
> immutability=1
> plugin=org.kde.plasma.digitalclock
> 
> [Containments][26][Applets][44][Configuration]
> PreloadWeight=65
> 
> [Containments][26][Applets][44][Configuration][Appearance]
> enabledCalendarPlugins=/usr/lib/qt/plugins/plasmacalendarplugins/holidaysevents.so,/usr/lib/qt/plugins/plasmacalendarplugins/pimevents.so
> selectedTimeZones=America/Vancouver,Asia/Jakarta,Local
> 
> [Containments][26][Applets][44][Configuration][ConfigDialog]
> DialogHeight=600
> DialogWidth=800
> 
> [Containments][26][Applets][50]
> immutability=1
> plugin=org.kde.plasma.taskmanager
> 
> [Containments][26][Applets][50][Configuration][General]
> launchers=
> 
> [Containments][26][ConfigDialog]
> DialogHeight=86
> DialogWidth=1920
> 
> [Containments][26][General]
> AppletOrder=27;28;50;31;44
> 
> [Containments][32]
> activityId=
> formfactor=2
> immutability=1
> lastScreen=0
> location=4
> plugin=org.kde.plasma.private.systemtray
> wallpaperplugin=org.kde.image
> 
> [Containments][32][Applets][33]
> immutability=1
> plugin=org.kde.plasma.devicenotifier
> 
> [Containments][32][Applets][34]
> immutability=1
> plugin=org.kde.kdeconnect
> 
> [Containments][32][Applets][34][Configuration]
> PreloadWeight=55
> 
> [Containments][32][Applets][35]
> immutability=1
> plugin=org.kde.plasma.keyboardindicator
> 
> [Containments][32][Applets][36]
> immutability=1
> plugin=org.kde.plasma.manage-inputmethod
> 
> [Containments][32][Applets][37][Configuration]
> PreloadWeight=42
> 
> [Containments][32][Applets][38]
> immutability=1
> plugin=org.kde.plasma.clipboard
> 
> [Containments][32][Applets][39]
> immutability=1
> plugin=org.kde.plasma.keyboardlayout
> 
> [Containments][32][Applets][40]
> immutability=1
> plugin=org.kde.plasma.notifications
> 
> [Containments][32][Applets][40][Configuration]
> PreloadWeight=80
> 
> [Containments][32][Applets][41][Configuration]
> PreloadWeight=42
> 
> [Containments][32][Applets][42]
> immutability=1
> plugin=org.kde.plasma.printmanager
> 
> [Containments][32][Applets][43]
> immutability=1
> plugin=org.kde.plasma.volume
> 
> [Containments][32][Applets][46]
> immutability=1
> plugin=org.kde.plasma.battery
> 
> [Containments][32][Applets][47][Configuration]
> PreloadWeight=42
> 
> [Containments][32][Applets][48]
> immutability=1
> plugin=org.kde.plasma.networkmanagement
> 
> [Containments][32][Applets][49]
> immutability=1
> plugin=org.kde.plasma.bluetooth
> 
> [Containments][32][Applets][53]
> immutability=1
> plugin=org.kde.plasma.mediacontroller
> 
> [Containments][32][Applets][53][Configuration]
> PreloadWeight=0
> 
> [Containments][32][ConfigDialog]
> DialogHeight=600
> DialogWidth=800
> 
> [Containments][32][General]
> extraItems=org.kde.plasma.devicenotifier,org.kde.kdeconnect,org.kde.plasma.keyboardindicator,org.kde.plasma.bluetooth,org.kde.plasma.mediacontroller,org.kde.plasma.manage-inputmethod,org.kde.plasma.clipboard,org.kde.plasma.battery,org.kde.plasma.keyboardlayout,org.kde.plasma.notifications,org.kde.plasma.networkmanagement,org.kde.plasma.printmanager,org.kde.plasma.volume
> hiddenItems=org.kde.plasma.manage-inputmethod
> knownItems=org.kde.plasma.devicenotifier,org.kde.kdeconnect,org.kde.plasma.keyboardindicator,org.kde.plasma.bluetooth,org.kde.plasma.mediacontroller,org.kde.plasma.manage-inputmethod,org.kde.plasma.vault,org.kde.ktp-contactlist,org.kde.plasma.clipboard,org.kde.plasma.battery,org.kde.plasma.keyboardlayout,org.kde.plasma.notifications,org.kde.plasma.nightcolorcontrol,org.kde.plasma.networkmanagement,org.kde.plasma.printmanager,org.kde.plasma.volume
> 
> [Containments][53]
> activityId=844db4c7-74a2-43f6-9b58-ea998e2b11b5
> formfactor=0
> immutability=1
> lastScreen=0
> location=0
> plugin=org.kde.plasma.folder
> wallpaperplugin=org.kde.image
> 
> [Containments][53][Wallpaper][org.kde.image][General]
> Image=file:///usr/share/wallpapers/Next/contents/images/1920x1080.png
> 
> [ScreenMapping]
> itemsOnDisabledScreens=
Comment 68 Nate Graham 2022-02-08 19:39:02 UTC
Sounds like that might have the same root cause as Bug 448609.
Comment 69 Prajna Sariputra 2022-02-10 11:09:18 UTC
I got the update to Plasma 5.24 today, and it appears that I can now reproduce this bug every time I log out and back in (including reboots), provided that I am using Wayland. So far I have yet to reproduce the issue with X11, although I haven't had much time with 5.24 in general at the moment. I looked at the `plasma-org.kde.plasma.desktop-appletsrc` file before logging out and after logging back in, and the diff output always looks like this if I don't bother adding any widgets:

> 69c69
> < [Containments][30]
> ---
> > [Containments][31]
> 78c78
> < [Containments][30][Wallpaper][org.kde.image][General]
> ---
> > [Containments][31][Wallpaper][org.kde.image][General]

That number increases by one every time, so the next time I log in it will go from 31 to 32, and so on. I have also deleted the entire `plasma-org.kde.plasma.desktop-appletsrc` file to reset the configuration, and the bug still occurs consistently even after that.

If there is any way I can help please let me know, especially since Arch now has debug info for at least some of the Qt/KDE stack now, and I would be happy to rebuild any relevant components that don't have that yet myself.

Operating System: Arch Linux
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.16.8-arch1-1 (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i7-6700HQ CPU @ 2.60GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 530
Comment 70 Miguel Guthridge 2022-03-26 02:49:34 UTC
I've got this bug, running X11. My external displays are connected using a dock that uses DisplayLink, but the issue only occurs for one of the two displays.

Often, only the wallpaper is missing, and can be fixed by choosing it again in the settings (the settings window thinks the wallpaper is already selected, and thus I need to deselect and reselect in order to apply the settings)

But on a few occasions, it resets entirely, although my Latte Dock still displays on that monitor correctly.

On one occasion, my wallpaper was deleted entirely, so I couldn't choose it in the settings, although it still displayed as the background for my other monitors (but was missing from their picker windows too) - when I next restarted, it was missing on all displays, and I only got it back by reinstalling the theme that provided the wallpaper.

In all cases, the replacement wallpaper is not the default wallpaper, but a black screen, leading me to believe that it could be a different bug. Let me know if I should create a different bug report.
Comment 71 Syiad 2022-03-31 13:38:52 UTC
*** Bug 452075 has been marked as a duplicate of this bug. ***
Comment 72 Danny Medina 2022-04-06 19:16:54 UTC
I am able to reproduce this BUT, it happens sometimes.. its difficult to pin point exactly when. This is my system info:
Operating System: openSUSE Tumbleweed 20220402
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.2
Kernel Version: 5.16.15-1-default (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i5-8350U CPU @ 1.70GHz
Memory: 31.2 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620
Comment 73 lrdarknesss 2022-04-13 18:33:27 UTC
(In reply to dreamndi from comment #39)
> Kde Neon, Plasma from version 5.22 to 5.22.2 affected. Usually after
> updates, when I login, wallpaper is gone (black image), panel is okay and I
> cannot make a selection on desktop.

This is exactly the problem that i also have, just that i am on 5.24.3 on Manjaro KDE (also Wayland).
I noticed that this not only happens when I go to standby and resume, but also when the screen is just locked.

When i logout and re-login the display is not black anymore and works as expected with the previously selected wallpaper.
Comment 74 rebyc 2022-04-14 19:29:04 UTC
This happend to me today.

then I remeberd that I did a "dpkg --configure -a"

that might be the problem
Comment 75 Jan Klos 2022-04-15 06:33:37 UTC
Happened to me just today after computer start. Dual monitor setup. Left (center/primary) screen lost all settings, everything is just suddenly gone from plasma-org.kde.plasma.desktop-appletsrc, replaced with a containment with the default wallpaper etc. Right screen is fine and retained all its settings. Arch / 5.24.4 / 5.93.0 / 21.12.3
Comment 76 Jovan Jovanovic 2022-04-23 20:01:23 UTC
Hi all, 
I have the same issue with the black screen. When I boot Arch after using Windows (just restarting PC) I log in and the second screen is black and my widgets are all moved to the primary screen (all except plank...Figured that plank is staying on that screen as it is not a widget). After restarting KDE plasma I get my wallpaper and my widget is automatically back on that screen. It is as if the KDE just crashed on the second screen. One more solution that I stumbled upon is another way to fix it, I just set my second screen as primary and then just reverse the settings to the previous and that fixes the issue. I can add a grep(KDE) from the journal if that helps? :)

Info:
OS: Arch Linux x86_64 
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Kernel-Version: 5.17.3-arch1-1 (64-bit)
Graphics Platform: X11
Processors: 12 × AMD Ryzen 5 2600 Six-Core Processor
Memory: 15.6 GiB of RAM
Graphics Processor: AMD Radeon RX 570 Series
Comment 77 Jan Klos 2022-04-27 11:54:16 UTC
Here we go again (after 2 weeks). Since this last occured to me, I have recreated my whole account/home directory to get rid of all configs, but yet again, my left (primary) monitor has been reset. All my configuration for that desktop is just gone from plasma-org.kde.plasma.desktop-appletsrc, so I can't even edit configs to get my settings back. Incredibly annoying.
Comment 78 David Oldford 2022-04-27 21:07:55 UTC
I experience this issue on a regular basis. Boot up is normally fine (it was problematic until I disabled loading a previous session and deleted the session file that had been loading,) but any time my monitors disconnect for any reason my desktop settings get messed up. The most common issue now is my icons swapping monitors along with my panel. After that the most common is my desktop background reverting to the default and after that is the desktop background just becoming all black which I believe is a symptom of plasma just failing altogether for that monitor somehow. I'm running kubuntu-backports packages with Kubuntu impish:

kde plasma version: 5.24.4
kde frameworks version: 5.92.0
Qt Version: 5.15.2
Kernel Version: 5.13.0-40-generic
Graphics Platform: X11 (nvidia binary driver)

I have my system hooked up to a displayport kvm and if I switch between kvm inputs the problem seems to occur 100% of the time and strangely enough get worse the more I swap back and forth. If I just click back and forth long enough I end up with plasma totally falling apart and have had experiences where I needed to reboot to get it running again. It's been driving me nuts for about a year but I've been too busy with work to do much about it. I recently wrote a tiny script to facilitate a quicker recovery:

#!/bin/sh
kquitapp5 plasmashell
cp /home/username/.config/plasma-org.kde.plasma.desktop-appletsrc.1 /home/username/.config/plasma-org.kde.plasma.desktop-appletsrc
kstart5 plasmashell

This script appears to reliably work so the problem appears to me to be the associated config file is being corrupted somehow whenever monitors disconnected and reconnected (either in memory settings become corrupted and written to it or it gets written out in a corrupted fashion and then read into memory by plasmashell).  It seems to me there are way to many containment items in the associated config and a lot of the problem I believe is plasma starting from scratch assuming it's connected to a brand new display and making a new containment whenever a monitor is disconnected and reconnected after boot. Doing a diff of the config file it seems that:
[Containments][3][Applets][4][Configuration]
PreloadWeight=91

has the PreloadWeight value changed from 92 to 91 and under ScreenMapping the screenMapping value is changed but it seems in meaningless ways the order of desktop items in the list appears to have changed.
Comment 79 Jan Klos 2022-05-03 17:26:52 UTC
And yet again. This time around, my right monitor adopted my left monitor's containment/settings and the left/primary one got reset again.

A year-and-a-half old incredibly annoying (and destructive, if you have sophisticated plasma settings/panels config, it all gets lost) bug that affects many people...
Comment 80 jasonlandbridge 2022-05-04 14:18:38 UTC
@jan klos, the best work around solution I found was using konsave => https://github.com/Prayag2/konsave
This will save all the KDE Plasma config, which you can then re-apply with a simple command. I have now set everything just how I want, and if KDE messes up again, I just use a shortcut assigned to the command and everything is back to normal again. No more reapplying every setting manually!
Comment 81 Miguel Guthridge 2022-05-05 16:06:56 UTC
Could this be related to https://bugs.kde.org/show_bug.cgi?id=353975? I managed to reproduce this again, and noticed that my right click was broken on that desktop too, which seems to match what that issue describes.

Some more things that I've noticed that might help with tracking down the bug:
* Latte Dock seems to be unaffected by the error - my dock loads fine on that monitor, only KDE is affected
* I have 3 monitors, one of which is my laptop screen. My laptop screen is disabled after login when the other monitors are connected, since it doesn't sit on my desk. The others are connected using displaylink so they don't play very nicely with SDDM, so they only enable when I log in.
* When the issue occurs, it always occurs on the left-most monitor.
* When I pulled up the settings app to restore the wallpaper, I noticed that it seemed to think that my old wallpaper was already selected, even though I had a black screen. When I hit apply the wallpaper was restored, but KDE seemed to crash when I closed my settings (the crash reporter appeared, but appeared to lose the stack trace after I accidentally hit the back button). Reconfiguring the settings for a second time appeared to fix the issue.
* I'm running Kubuntu 20.10 with KDE 5.24.4. I'm using X11.
Comment 82 Jacob Mungle 2022-05-09 15:30:25 UTC
I have the same problem here always the left most monitor moving to the rightmost screen and if it doesn't move sometimes the rightmost screen will flicker in and out of existence in the middle of my 2 other screens, but that may have been fixed because it was rare and I haven't seen it in a while. My panels haven't moved since the 5.24 release, just the wallpaper. 
I also noticed that when this happens if I right click and open "Configure desktop and wallpaper" it will sometimes open the settings for the leftmost screen and the rightmost screen simultaneously on top of each other and they will only maximize to the resolution of the rightmost screen, which is 1080x1920, the leftmost screen is 2k so this is very apparent.

System:
Arch
KDE: 5.24.5
KDE Framworks: 5.93.0
Wayland
Comment 83 Sebastian Kuźlak 2022-05-27 09:35:24 UTC
still present in 5.25 beta
Comment 84 Rolf Eike Beer 2022-06-08 05:08:13 UTC
Just my 2 cents… as in comment#56 the symptom for me is that the desktop on one of my 2 monitors switches from wallpaper to folder mode. When I then set it back the other monitor immediately switches to folder mode. And then the same happens on the other activity. The panel stays in place.

Out of curiosity: I don't have a [Containments][1] section, only [Containments][3], [Containments][69], [Containments][70], [Containments][71], [Containments][72], [Containments][8], and [Containments16Appletsts][6] (in that order).
Comment 85 Miguel Guthridge 2022-06-17 10:42:47 UTC
After having to reconfigure my displays for the 4th time today, I'm seriously reconsidering my choice of desktop environment. People have been reporting variations on this bug since 2018. 

Is there anything that can be done to get this bug some more attention (eg adding it to the 15 minute bugs list)? Since it results in extremely frequent data loss on a relatively large scale (having to reconfigure my panel 4 times a day is a horrible experience), I feel like it should be given a much higher priority than it currently seems to have.
Comment 86 Anthony Rounsaville 2022-06-18 00:54:24 UTC
I am seeing the same issue, only for me it happens every log off or reboot.  I have only seen this issue since upgrading to 5.25.  This only seems to impact widgets and wallpaper for me.  All other settings seem to be working correctly.  This is on Arch.  It seems to be reapplying the global theme at logon (Amethyst).  Hope this helps.
Comment 87 Robert Strube 2022-06-20 17:43:01 UTC
I'm also running into this issue.  Every time my system wakes up from sleep the wallpaper settings completely reset to defaults.  This also happens after a system restart.  I don't do anything special with panels so I can't confirm if these would also reset.

I run a multi-monitor configuration - this appears to be the common denominator.  This is one of the most frustrating bugs I've encountered with Plasma so far.  Problem existed on 5.24.5.  I haven't tested with 5.25 yet.
Comment 88 Pavan Gayakwad 2022-07-02 09:33:07 UTC
This behaviour is clearly reproducible, here are steps to do check it.
- Add a memory widget to the taskbar.
- After adding memory widget to the taskbar, right click on it and "configure memory usage..." and in the popup window, "Appearance" section, set Display style as "Text only".
- click Apply and OK.
- Restart the system and login
- You will witness the Display style reset to "Piechart"

Please resolve this at the earliest. Thanks.
Comment 89 Pavan Gayakwad 2022-07-02 09:35:04 UTC
(In reply to Pavan Gayakwad from comment #88)
> This behaviour is clearly reproducible, here are steps to do check it.
> - Add a memory widget to the taskbar.
> - After adding memory widget to the taskbar, right click on it and
> "configure memory usage..." and in the popup window, "Appearance" section,
> set Display style as "Text only".
> - click Apply and OK.
> - Restart the system and login
> - You will witness the Display style reset to "Piechart"
> 
> Please resolve this at the earliest. Thanks.

Just incase if you wish to know the KDE version I am using:

Operating System: KDE neon 5.25
KDE Plasma Version: 5.25.2
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.5
Kernel Version: 5.13.0-52-generic (64-bit)
Graphics Platform: X11
Processors: 12 × Intel® Core™ i7-9750H CPU @ 2.60GHz
Memory: 23.4 GiB of RAM
Graphics Processor: NVIDIA GeForce GTX 1650/PCIe/SSE2
Manufacturer: LENOVO
Product Name: 81SY
System Version: Lenovo Legion Y540-15IRH-PG0
Comment 90 Brian Cohen 2022-07-04 13:14:49 UTC
Well I'm glad to see I'm not the only one.  

Since upgrading to 5.24 I can reproduce all of the following:

- Upon boot or wake from hibernation (no monitors connected), panel is gone from laptop display.
- Upon connecting dual monitors (joined display):
    - left display correctly has panel, but right display is totally black (no wallpaper, won't accept right-clicks on desktop).
    - System Settings > Display Configuration is confused as to which monitor is 'Primary' as evidenced by where it displays the panel. The left monitor, which correctly has the panel, has 'Primary' unchecked. If I check 'Primary' on it and 'Apply', the panel incorrectly moves to the right-hand monitor.  I have confirmed the 'Primary' is being misapplied after using 'Identify' to confirm which monitor is which. 

Really this is driving me nuts. My workflow is to move back-and-forth with a laptop between docked environments at home and the office, each with two monitors, while occasionally using the laptop undocked in between.  These defects are making the system unusable.
Comment 91 Adrian 2022-07-18 03:29:37 UTC
Wanted to add my thoughts, as my hunch is that KDE is getting confused between the primary and secondary monitors at login.

TL;DR: Two monitor setup. Left monitor plugged into first port which is DisplayPort, right monitor plugged into HDMI port. RX 580 card considers DisplayPort-connected monitor as the 'primary' by default. I've override 'primary' monitor in KDE via the KDE settings. When logging in the mouse pointer is on the left/HDMI/new-primary monitor, the vertical typing cursor is on the left/HDML/new-primary monitor, but the character dots to show typing is occurring displays on the right/DisplayPort/overriddden-not-primary-now monitor as typing is done. Wallpaper/settings lost on right/DisplayPort/overridden-not-primary-now monitor.

Full description ...

I have an AMD RX 580 video card, with the left monitor plugged into the HDMI port, and the right monitor plugged into the DisplayPort port. Both monitors are the same make/model, identify as "Sceptre Tech Inc E246W-1080p 16843009".

I've noticed that the problem triggers often for me when I'm logging in. Specifically, on my dual monitor setup, the vertical typing cursor is on the HDMI/left monitor, but when I start typing the circle/dots that represent characters being typed is display on the DisplayPort/right monitor, even though the vertical typing cursor continues to show on the first monitor.

On boot up my PC initially wants to treat the DisplayPort/right monitor as the primary, but I've overrode KDE (via right click on 'configure desktop' settings) to have the HDMI/left monitor set as my primary, and have the KDE taskbar display on it.

I can *almost* recreate this bug at will. It does happen about 50-75% of the time. The other times when things work correctly, when I login I type and character typing dots appear on the left/HDMI monitor, which is the overridden 'primary' monitor.  One time, and one time only, I lost the wallpaper on the HDMI/left monitor as well as the DisplayPort/right monitor.  All other times it was just the DisplayPort/right monitor that loses the wallpaper settings.

Maybe there's some race condition with KDE in telling itself which is the primary monitor, when the (from hardware point-of-view) default monitor isn't the primary? Because of this confusion settings files are not read/written correctly?

Feel free to contact me if you need more info or any testing done.

---
Operating System: Kubuntu 22.04
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel Version: 5.15.0-41-generic (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 5800X 8-Core Processor
Memory: 31.3 GiB of RAM
Graphics Processor: AMD Radeon RX 580 Series
Comment 92 Adrian 2022-07-18 18:23:03 UTC
On my previous comment, in the TLDR section, I reversed which monitor is plugged into which port.

The left monitor is HDMI, and the right is DisplayPort.
Comment 93 Adrian 2022-07-18 18:24:30 UTC
(In reply to Adrian R from comment #91)
> Wanted to add my thoughts, as my hunch is that KDE is getting confused
> between the primary and secondary monitors at login.
> 
> TL;DR: Two monitor setup. Left monitor plugged into first port which is
> DisplayPort, right monitor plugged into HDMI port. RX 580 card considers
> DisplayPort-connected monitor as the 'primary' by default. I've override
> 'primary' monitor in KDE via the KDE settings. When logging in the mouse
> pointer is on the left/HDMI/new-primary monitor, the vertical typing cursor
> is on the left/HDML/new-primary monitor, but the character dots to show
> typing is occurring displays on the
> right/DisplayPort/overriddden-not-primary-now monitor as typing is done.
> Wallpaper/settings lost on right/DisplayPort/overridden-not-primary-now
> monitor.

On my previous comment, in the TLDR section, I reversed which monitor is plugged into which port.

The left monitor is HDMI, and the right is DisplayPort.
Comment 94 Lucas 2022-07-22 14:21:27 UTC
I do not have multiple monitor setup. I have a single screen yet this problem still occurs.
Comment 95 _rene 2022-07-25 13:35:27 UTC
I can confirm this painful bug

I am using a XPS13 with Arch Linux, KDE and a Thunder Bolt Dock.

Everytime I plug & unplug the docking station my desktop settings are gone, no background on 2 of 3 monitors.
Comment 96 nmls 2022-07-28 18:50:11 UTC
I had the same bug for a very long time. I tried all possible solutions but of course, nothing worked for me.
Today by chance, I fixed this problem, how? I didn't have any activity created before, so I simply created new activity named "Default" and switched to this activity, and this solved my problem.
Comment 97 Nate Graham 2022-07-28 19:35:48 UTC
That's great, but finding a workaround that works for you doesn't mean the bug is fixed for everyone. Re-opening.

Are you saying the Activities page in System settings showed 0 activities for you?
Comment 98 S.Trzmiel 2022-07-28 22:11:04 UTC
Here I've got one default activity already, yet this bug manifests itself once a few days.
Comment 99 Harry Coin 2022-08-17 15:58:23 UTC
Well, "Me too".  Latest Ubuntu LTS, fresh install: custom image wallpaper reverts to default on one to two of 6 attached monitors, and usually not the 'primary' one after screen lock or reboot.
Comment 100 lucasrizzini 2022-08-31 23:57:06 UTC
Created attachment 151748 [details]
journalctl output from when the issue occured

It just happened to me. I attached a journalctl output. When searching for the "wallpaper" string, these two lines came up:

ago 31 20:47:54 archlinux plasmashell[892]:
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:67: TypeError: Cannot read property 'wallpaper' of null
ago 31 20:47:54 archlinux plasmashell[892]: file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:71: TypeError: Cannot read property 'wallpaper' of null
Comment 101 Gurenko Alex 2022-09-05 15:10:34 UTC
Wow, I've got hit by this bug so hard after recent re-installation of Fedora 36 (exactly same image that I've used for half a year with no issues). Basically every widget that I add and configure resets itself on logout. I've tried re-installing once again, but it's now 100% reproducible. Most horrible is that sticky notes on a desktops looses their content (text) on logout making them useless.

Getting those in logs:

Sep 05 16:16:40 plasmashell[1848]: file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/configuration/ConfigurationAppletPage.qml:38:5: QML Loader: Binding loop detected for property "height"
Sep 05 16:16:40 plasmashell[1848]: file:///usr/lib64/qt5/qml/org/kde/kirigami.2/private/globaltoolbar/BreadcrumbControl.qml:17:5: Unable to assign [undefined] to QQuickItem*
Sep 05 16:16:40 plasmashell[1848]: file:///usr/lib64/qt5/qml/org/kde/kirigami.2/private/globaltoolbar/BreadcrumbControl.qml:17:5: Unable to assign [undefined] to QQuickItem*
Sep 05 16:16:40 plasmashell[1848]: file:///usr/lib64/qt5/qml/org/kde/kirigami.2/private/globaltoolbar/BreadcrumbControl.qml:17:5: Unable to assign [undefined] to QQuickItem*
Sep 05 16:16:41 plasmashell[1848]: file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/configuration/ConfigurationAppletPage.qml:38:5: QML Loader: Binding loop detected for property "height"
Sep 05 16:16:41 plasmashell[1848]: file:///usr/lib64/qt5/qml/org/kde/kirigami.2/private/globaltoolbar/BreadcrumbControl.qml:17:5: Unable to assign [undefined] to QQuickItem*
Sep 05 16:16:41 plasmashell[1848]: file:///usr/lib64/qt5/qml/org/kde/kirigami.2/private/globaltoolbar/BreadcrumbControl.qml:17:5: Unable to assign [undefined] to QQuickItem*
Sep 05 16:16:41 plasmashell[1848]: file:///usr/lib64/qt5/qml/org/kde/kirigami.2/private/globaltoolbar/BreadcrumbControl.qml:17:5: Unable to assign [undefined] to QQuickItem*
Comment 102 ratijas 2022-09-05 15:22:18 UTC
> Wow, I've got hit by this bug so hard after recent re-installation of Fedora 36 (exactly same image that I've used for half a year with no issues). Basically every widget that I add and configure resets itself on logout. I've tried re-installing once again, but it's now 100% reproducible. Most horrible is that sticky notes on a desktops looses their content (text) on logout making them useless.

Huh, that's a major problem somewhere up the stack. I never got my desktop to lose its wallpaper or notes to "forget" their content. It's definitely not a per-applet bugs.

> Getting those in logs:

Unfortunately, that's not too useful. Just a regular bunch of warnings from Kirigami header. It complains every time a configuration page is opened or switched.
Comment 103 Gurenko Alex 2022-09-05 15:26:49 UTC
(In reply to ratijas from comment #102)
> > Wow, I've got hit by this bug so hard after recent re-installation of Fedora 36 (exactly same image that I've used for half a year with no issues). Basically every widget that I add and configure resets itself on logout. I've tried re-installing once again, but it's now 100% reproducible. Most horrible is that sticky notes on a desktops looses their content (text) on logout making them useless.
> 
> Huh, that's a major problem somewhere up the stack. I never got my desktop
> to lose its wallpaper or notes to "forget" their content. It's definitely
> not a per-applet bugs.

I have not had a desktop wallpaper reset in a very long time (at least last few plasma versions), although I used to get those before, but most of the widgets are generally completely broken for me.

> 
> > Getting those in logs:
> 
> Unfortunately, that's not too useful. Just a regular bunch of warnings from
> Kirigami header. It complains every time a configuration page is opened or
> switched.

I don't see any other errors and I see that on every change I make I've getting "Unable to assign [undefined] to QString" or "Unable to assign [undefined] to Int" from various libraries, depends on the widget, so I think that should point to something?

Are there better logs I can provide?
Comment 104 Gurenko Alex 2022-09-05 15:33:04 UTC
Created attachment 151845 [details]
plasmashell-warnings

That's how the "-p warning" log looks like on boot and trying to modify addons
Comment 105 ratijas 2022-09-05 16:05:13 UTC
> I don't see any other errors and I see that on every change I make I've getting "Unable to assign [undefined] to QString" or "Unable to assign [undefined] to Int" from various libraries, depends on the widget, so I think that should point to something?

Of course they should be fixed at some point, but they are [[mostly harmless]]. Unlike binding loops, "Unable to assign [undefined]" kind of errors are usually just the results of races in component initialization code, technically speaking, like, when one property wants to evaluate its bindings, but not all of dependecies in such expression are ready yet. Eventually it re-evaluates when they become ready, and everything settles down. But again, of course should be fixed, because such noise makes it harder to spot the real problem.

Back on topic: maybe you somehow managed to enable the "kiosk mode"? It's a thing where a user is denied most forms of interaction and customization. And until very recently there was a pretty undocumented shortcut which could be silently triggered on a Plasma Desktop to lock it down.

There is some info on where to find those settings: https://develop.kde.org/deploy/kiosk/introduction/
Comment 106 Gurenko Alex 2022-09-05 17:48:10 UTC
(In reply to ratijas from comment #105)
> > I don't see any other errors and I see that on every change I make I've getting "Unable to assign [undefined] to QString" or "Unable to assign [undefined] to Int" from various libraries, depends on the widget, so I think that should point to something?
> 
> Of course they should be fixed at some point, but they are [[mostly
> harmless]]. Unlike binding loops, "Unable to assign [undefined]" kind of
> errors are usually just the results of races in component initialization
> code, technically speaking, like, when one property wants to evaluate its
> bindings, but not all of dependecies in such expression are ready yet.
> Eventually it re-evaluates when they become ready, and everything settles
> down. But again, of course should be fixed, because such noise makes it
> harder to spot the real problem.
> 
> Back on topic: maybe you somehow managed to enable the "kiosk mode"? It's a
> thing where a user is denied most forms of interaction and customization.
> And until very recently there was a pretty undocumented shortcut which could
> be silently triggered on a Plasma Desktop to lock it down.
> 
> There is some info on where to find those settings:
> https://develop.kde.org/deploy/kiosk/introduction/

Checked all mentioned config files and I don't see anything unusual. What's the shortcut you've mentioned? I also don't see any reference to that or it being configurable in system shortcuts
Comment 107 S.Trzmiel 2022-09-05 18:13:18 UTC
(In reply to ratijas from comment #105)
> > I don't see any other errors and I see that on every change I make I've getting "Unable to assign [undefined] to QString" or "Unable to assign [undefined] to Int" from various libraries, depends on the widget, so I think that should point to something?
> 
> Of course they should be fixed at some point, but they are [[mostly
> harmless]]. Unlike binding loops, "Unable to assign [undefined]" kind of
> errors are usually just the results of races in component initialization
> code, technically speaking, like, when one property wants to evaluate its
> bindings, but not all of dependecies in such expression are ready yet.
> Eventually it re-evaluates when they become ready, and everything settles
> down. But again, of course should be fixed, because such noise makes it
> harder to spot the real problem.
> 
> Back on topic: maybe you somehow managed to enable the "kiosk mode"? It's a
> thing where a user is denied most forms of interaction and customization.
> And until very recently there was a pretty undocumented shortcut which could
> be silently triggered on a Plasma Desktop to lock it down.
> 
> There is some info on where to find those settings:
> https://develop.kde.org/deploy/kiosk/introduction/

It's very unlikely it's kiosk mode issue. I could change my desktop/add widgets to restore desired look right after desktop got messed up.
Which wouldn't be possible if the kiosk mode was enabled.
For me, because of the randomness of the occurence, it smells like race condition where plasma tries to configure desktop before it knows displays layout. But it's just my hunch.
Comment 108 lucasrizzini 2022-09-05 18:17:33 UTC
Created attachment 151853 [details]
journalctl output from when the issue occured *again*

It just happened to me again. The same lines are present:

set 05 15:14:19 archlinux plasmashell[917]: file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:67: TypeError: Cannot read property 'wallpaper' of null
set 05 15:14:19 archlinux plasmashell[917]: file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:71: TypeError: Cannot read property 'wallpaper' of null
Comment 109 lucasrizzini 2022-09-05 19:18:26 UTC
(In reply to lucasrizzini from comment #108)
> Created attachment 151853 [details]
> journalctl output from when the issue occured *again*
> 
> It just happened to me again. The same lines are present:
> 
> set 05 15:14:19 archlinux plasmashell[917]:
> file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/
> Desktop.qml:67: TypeError: Cannot read property 'wallpaper' of null
> set 05 15:14:19 archlinux plasmashell[917]:
> file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/
> Desktop.qml:71: TypeError: Cannot read property 'wallpaper' of null

Nevermind.. These "Cannot read property 'wallpaper' of null" are always present.
Comment 110 Gurenko Alex 2022-09-06 13:35:20 UTC
Hm, I've tried to modify existing working plugin on my laptop which has Fedora running since the release of 36 and it also broke and now set to default, so it's one of the recent updates. To my recollection the latest one was KF upgrade to 5.97. Interestingly, that it seems to only affect build-in widgets as downloaded widgets like "Weather widget 2" and "Resource Monitor (fork)" both work fine and can be configured.
Comment 111 Gurenko Alex 2022-09-08 12:46:32 UTC
Okay, turned out my problem was https://bugs.kde.org/show_bug.cgi?id=454004 ( Fix systemmonitor preferences being reset ). For some reason pasting to desktop and create sticky note does not work anymore, but that's a separate problem. Probably all widgets that were relying on systemmonitor's data were affected, everything seems to be fine for me now.
Comment 112 kelnio@yahoo.com 2022-09-09 04:20:39 UTC
I am experience this bug on a fresh install of EndeavourOS (Arch) and KDE Plasma 5.25.5. My wallpaper resets to the default wallpaper and my desktop widgets disappear on EVERY SINGLE LOGIN!
Comment 113 Marco Martin 2022-09-14 10:03:01 UTC
are the "lost" desktops available in the dialog that opens in "manage desktops and panels" button in edit mode?
Comment 114 S.Trzmiel 2022-09-14 11:29:22 UTC
At least here nope. Right now I have three output listed
 - LVDS-1
 - HDMI-A-1
 - HDMI-1 (disabled)
All of them at this point are set to default layout set by Fedora.

Funny thing my laptop have only two physical output in use (LVDS - laptop screen, HDMI - ext monitor, third one VGA is not used for ages)
I guess at some point I guess it could be that lost desktop was there as disabled HDMI. I'd try to set it up once again as it used to be and take a look once it gets broken once more.
Comment 115 S.Trzmiel 2022-09-14 12:17:15 UTC
Ok so my laptop has hybrid GPU  (Intel IvyBridge + discrete Radeon HD 7670) and three physical output:
 - LVDS (laptop display)
 - HDMI - my ext monitor
 - VGA - not used
 manage desktops show three output
 - LVDS-1
 - HDMI-A-1
 - HDMI-1(disabled)

Here all the desktops were already set to default Fedora layout ("primary as desktop folder pointing to ~/Desktop, all th rest as empty desktop"
I've set them once again to my custom layout and report back once it gets broken.

BTW tip for those who lost notes from desktop (yellow cards)
List content of ~/.local/share/plasma_notes/
find which file contains notes you need
Edit ~/.config/plasma-org.kde.plasma.desktop-appletsrc
find line  
noteId=
and replace current id after equal sign with  name of your notes file 
Log-out/in
Comment 116 Michael D 2022-09-25 15:10:37 UTC
My wallpaper gets reset when connecting an external display.